﻿.k-grid-header .k-header, .k-grid-header .k-header .k-link, .k-grid-header .k-link, .k-grid-header .k-link:link, .k-pager-info, .k-scheduler-agendaview .k-scheduler-datecolumn, .k-scheduler-header {
    color: black;
    background-color: #F4F7FF;
}

.k-grid-footer, .k-grid-footer td, .k-grid-header, .k-grid-header .k-header, .k-pager-numbers .k-state-selected, .k-pager-wrap, .k-scheduler-header, .km-pane-wrapper .k-grid-header .k-header {
    color: #444;
    background-color: #F4F7FF;
}

    .k-gantt-toolbar .k-state-default, .k-grid .k-grouping-header, .k-grid-footer td, .k-grid-header, .k-grid-header-wrap, .k-group-footer td, .k-grouping-row td, .k-header, .k-pager-wrap, .k-pager-wrap .k-link, .k-pager-wrap .k-textbox {
        border-color: #F4F7FF;
    }

.k-grid tr td {
    border-style: solid;
    border-color: #F4F7FF;
    cursor: pointer;
}

.k-gantt-toolbar .k-state-default, .k-grid .k-grouping-header, .k-grid-footer td, .k-grid-header, .k-grid-header-wrap, .k-group-footer td, .k-grouping-row td, .k-header, .k-pager-wrap, .k-pager-wrap .k-link, .k-pager-wrap .k-textbox {
    border-color: #F4F7FF;
}

    .k-grid-footer, .k-grid-footer td, .k-grid-header, .k-grid-header .k-header, .k-pager-numbers .k-state-selected, .k-pager-wrap, .k-scheduler-header, .km-pane-wrapper .k-grid-header .k-header {
        color: black;
        background-color: #F4F7FF;
    }

.k-pager-numbers .k-state-selected {
    border-color: #F4F7FF transparent transparent;
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: black;
    font-weight: bold;
}

.k-autocomplete, .k-block, .k-calendar th, .k-content, .k-dropdown-wrap, .k-dropzone-active, .k-editable-area, .k-filter-row > th, .k-footer-template td, .k-grid td, .k-grid td.k-state-selected, .k-grid-content-locked, .k-grid-footer, .k-grid-footer-locked, .k-grid-footer-wrap, .k-grid-header, .k-grid-header-locked, .k-grid-header-wrap, .k-group, .k-group-footer td, .k-grouping-header, .k-grouping-header .k-group-indicator, .k-header, .k-input, .k-pager-refresh, .k-pager-wrap, .k-pager-wrap .k-link, .k-panel > .k-item > .k-link, .k-panelbar .k-content, .k-panelbar .k-panel, .k-panelbar > .k-item > .k-link, .k-popup.k-align .k-list .k-item:last-child, .k-separator, .k-slider-track, .k-splitbar, .k-state-default, .k-state-default .k-select, .k-state-disabled, .k-textbox, .k-textbox > input, .k-tiles, .k-tooltip, .k-treemap-tile, .k-upload-files, .k-widget {
    border-color: #F4F7FF;
}

    .k-grid-header th.k-header {
        padding-left: 1.286em;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 13px;
    }

    .k-grid-content table tr:first-child td, .k-grid-content-locked table tr:first-child td {
        border-top: 0;
        cursor: pointer;
        /*border-right: none;*/
    }

.k-block, .k-button, .k-draghandle, .k-grid-header, .k-grouping-header, .k-header, .k-pager-wrap, .k-toolbar, .k-treemap-tile, html .km-pane-wrapper .k-header {
    background-color: #F4F7FF;
}

.k-multiselect .k-button {
    color: white;
    border-color: #292E69;
    background-color: #292E69;
}

.k-grid-pager .k-link, .k-grid-pager .k-link:link {
    color: black;
}

.k-autocomplete.k-state-hover, .k-dropdown-wrap.k-state-hover, .k-numeric-wrap.k-state-hover, .k-overflow-anchor:hover, .k-picker-wrap.k-state-hover, .k-textbox:hover {
    background-color: #fff;
    border-color: #f5f5f5;
    -webkit-box-shadow: 0 2px 6px rgba(0,0,0,.2), 0 2px 3px rgba(0,0,0,.05);
    box-shadow: 0 2px 6px rgba(0,0,0,.2), 0 2px 3px rgba(0,0,0,.05);
}

/* Kendo Calendar */
/* Kendo Calendar selected day */
.k-calendar .k-header {
    margin: 0 -5px;
    background-color: #46B5A7;
}

    .k-calendar .k-header .k-link {
        color: white;
        background-color: #46B5A7;
    }

.k-calendar .k-footer .k-nav-today {
    color: #46B5A7;
}

.k-calendar td.k-state-selected {
    background-color: #46B5A7;
    -webkit-box-shadow: none;
    box-shadow: none;
}

    .k-calendar td.k-state-selected.k-state-hover {
        background-color: #46B5A7;
    }

/**/

/* Kendo Calendar today */
.k-calendar .k-today {
    background-color: #292E69;
}

.k-calendar td.k-today.k-state-hover .k-link {
    color: white;
}

/* Kendo Validator */
.invalid {
    color: red;
}

span.k-widget.k-tooltip-validation {
    display: inline-block;
    /*width: 500px;*/
    width: 100%;
    text-align: left;
    border: 0;
    padding: 0;
    margin: 0;
    background: none;
    box-shadow: none;
    color: red;
}


.k-animation-container, .k-animation-container *, .k-animation-container :after, .k-block .k-header, .k-list-container, .k-widget, .k-widget *, .k-widget :before {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;    
    font-size: 12px;
}


.k-datepicker .k-input, .k-timepicker .k-input {
    background-color: white;
}

.k-timepicker-wrap.k-state-hover .k-input {
    background-color: white;
}

.k-autocomplete.k-state-default, .k-dropdown-wrap.k-state-default, .k-numeric-wrap.k-state-default, .k-picker-wrap.k-state-default {
    background-image: none;
    background-image: none,-webkit-gradient(linear,left top,left bottom,from(false));
    background-image: none,-webkit-linear-gradient(top,false);
    background-image: none,linear-gradient(to bottom,false);
    background-position: 50% 50%;
    color: #444;
    background-color: #fafafa;
    border-color: #f0f0f0;
    height: 28px;
    border-radius: 6px;
}


.k-grid-content, .k-grid-content-locked, .k-pager-wrap {
    white-space: normal;
    overflow-y: hidden;
}

.k-grid td.k-state-selected, .k-grid tr.k-state-selected>td {
    border-color: #E8F1ED;
    background-color: #E8F1ED;
    color: black;
}

.k-grid td.k-state-selected:hover, .k-grid tr.k-state-selected:hover td {
    border-color: #E8F1ED;
    background-color: #E8F1ED;
    color: black;
}

.k-button .k-icon, .k-button .k-image, .k-button .k-sprite {
    color: black;
    align-self: center;
}

/*.k-grid-content table tr td, .k-grid-content-locked table tr:first-child td {
    border-top: 0;
    border-right-style: solid;
    border-right-width: 1px;
    cursor: pointer;
}*/
